<section class="ventanaModal d-flex justify-content-center align-items-center">
  <div class="modalContent p-3">
    <fieldset class="mb-2">
      <legend>Enviar a:</legend>
      <div *ngFor="let especialidad of especialidades">
        <input class="me-2" #op type="checkbox" [id]="especialidad.nombre" [name]="especialidad.nombre"/>
        <label [htmlFor]="especialidad.nombre">{{especialidad.nombre | titlecase}}</label>
      </div>
      <div class="mt-2">
        <label class="fw-medium">Usuarios</label>
        <div *ngIf="emails.length > 0" class="mb-2 usersField">
          <div *ngFor="let email of emails">
            <div class="d-flex doc justify-content-between mb-2" style="height: 25px;">
              <a>{{email}}</a>
              <p class="ms-2 cursor-pointer" (click)="deleteEmailFromArray(email)">x</p>
            </div>
          </div>
        </div>
        <input #email (change)="addUserEmail(email.value)" autocomplete="off" type="text" class="form-control"  list="usuarios" required>
        <datalist id="usuarios">
          <option *ngFor="let usuario of usuarios"
          [attr.data-value]="[usuario.email]"
          [value]="usuario.nombre + usuario.apellidos + ' (' + usuario.email + ')' ">
          </option>
        </datalist>
      </div>
    </fieldset>
    <div *ngIf="showWarning" class="text-danger mb-2">
      Debe elegir un grupo o añadir usuarios
    </div>
    <div class="d-flex justify-content-center">
      <button type="button" class="btn btn-secondary me-2" (click)="cancelNotification()">Cancelar</button>
      <button type="button" class="btn btn-primary" (click)="avisarIncidencia()">Enviar</button>
    </div>
  </div>
</section>
